org.apache.solr.handler.clustering.carrot2

## Class CarrotParams

- java.lang.Object
- - org.apache.solr.handler.clustering.carrot2.CarrotParams

-     public final class CarrotParams
      extends Object

  Carrot2 parameter mapping (recognized and mapped if passed via Solr configuration).
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALGORITHM`
    `static String` | `CUSTOM_FIELD_NAME`
    `static String` | `LANGUAGE_CODE_MAP`
    `static String` | `LANGUAGE_FIELD_NAME`
    `static String` | `NUM_DESCRIPTIONS`
    `static String` | `OUTPUT_SUB_CLUSTERS`
    `static String` | `PRODUCE_SUMMARY`
    `static String` | `RESOURCES_DIR` Points to Carrot2 resources
    `static String` | `SNIPPET_FIELD_NAME`
    `static String` | `SUMMARY_FRAGSIZE`
    `static String` | `SUMMARY_SNIPPETS`
    `static String` | `TITLE_FIELD_NAME`
    `static String` | `URL_FIELD_NAME`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALGORITHM

          public static String ALGORITHM

    - #### TITLE_FIELD_NAME

          public static String TITLE_FIELD_NAME

    - #### URL_FIELD_NAME

          public static String URL_FIELD_NAME

    - #### SNIPPET_FIELD_NAME

          public static String SNIPPET_FIELD_NAME

    - #### LANGUAGE_FIELD_NAME

          public static String LANGUAGE_FIELD_NAME

    - #### CUSTOM_FIELD_NAME

          public static String CUSTOM_FIELD_NAME

    - #### PRODUCE_SUMMARY

          public static String PRODUCE_SUMMARY

    - #### SUMMARY_FRAGSIZE

          public static String SUMMARY_FRAGSIZE

    - #### SUMMARY_SNIPPETS

          public static String SUMMARY_SNIPPETS

    - #### NUM_DESCRIPTIONS

          public static String NUM_DESCRIPTIONS

    - #### OUTPUT_SUB_CLUSTERS

          public static String OUTPUT_SUB_CLUSTERS

    - #### LANGUAGE_CODE_MAP

          public static String LANGUAGE_CODE_MAP

    - #### RESOURCES_DIR

          public static String RESOURCES_DIR

      Points to Carrot2 resources

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.